<?php

namespace CouponsPlus\App\Conditions\Stubs\Offers;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class BundlePrice implements DashboardCardData
{
    const TYPE = 'BundlePrice';

    public static function getName() : string
    {
        return __('Bundle Price / Multi-buy / Combo', 'coupons-plus-for-woocommerce');
    }

    public static function getDescription() : string
    {
        return __('Set a single price for all the filtered items. Can be used for bundle offers like 1 of product a + 2 of category b for $59, or for multi-buy offers like buy 2 for $99', 'coupons-plus-for-woocommerce');
    }

    static public function getUseCases(): Collection
    {
        return new Collection([
            __('Restrict offers to customers registered in a specific date range.', 'coupons-plus-for-woocommerce'),
        ]);
    }

    static public function getNotes() : array
    {
        return [
        ];
    }
}
